Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/SelfTest/src/test.cpp	(revision 108)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/SelfTest/src/test.cpp	(revision 128)
@@ -47,4 +47,81 @@
   sc_clock              *  in_CLOCK  = new sc_clock ("clock", 1.0, 0.5);	 
   sc_signal<Tcontrol_t> *  in_NRESET = new sc_signal<Tcontrol_t> ("NRESET");
+
+  sc_signal<Tcontrol_t           >  ** out_ICACHE_REQ_VAL                 ;
+  sc_signal<Tcontrol_t           >  **  in_ICACHE_REQ_ACK                 ;
+//sc_signal<Tcontext_t           >  ** out_ICACHE_REQ_THREAD_ID           ;
+  sc_signal<Tpacket_t            >  ** out_ICACHE_REQ_PACKET_ID           ;
+  sc_signal<Ticache_instruction_t>  ** out_ICACHE_REQ_ADDRESS             ;
+  sc_signal<Ticache_type_t       >  ** out_ICACHE_REQ_TYPE                ;
+  sc_signal<Tcontrol_t           >  **  in_ICACHE_RSP_VAL                 ;
+  sc_signal<Tcontrol_t           >  ** out_ICACHE_RSP_ACK                 ;
+//sc_signal<Tcontext_t           >  **  in_ICACHE_RSP_THREAD_ID           ;
+  sc_signal<Tpacket_t            >  **  in_ICACHE_RSP_PACKET_ID           ;
+  sc_signal<Ticache_instruction_t> ***  in_ICACHE_RSP_INSTRUCTION         ;
+  sc_signal<Ticache_error_t      >  **  in_ICACHE_RSP_ERROR               ;
+  sc_signal<Tcontrol_t           >  ** out_DECOD_VAL                      ;
+  sc_signal<Tcontrol_t           >  **  in_DECOD_ACK                      ;
+  sc_signal<Tcontext_t           >  ** out_DECOD_CONTEXT_ID               ;
+  sc_signal<Tdepth_t             >  ** out_DECOD_DEPTH                    ;
+  sc_signal<Ttype_t              >  ** out_DECOD_TYPE                     ;
+  sc_signal<Toperation_t         >  ** out_DECOD_OPERATION                ;
+  sc_signal<Tcontrol_t           >  ** out_DECOD_NO_EXECUTE               ;
+  sc_signal<Tcontrol_t           >  ** out_DECOD_IS_DELAY_SLOT            ;
+  sc_signal<Tgeneral_data_t      >  ** out_DECOD_ADDRESS                  ;
+  sc_signal<Tgeneral_data_t      >  ** out_DECOD_ADDRESS_NEXT             ;
+  sc_signal<Tcontrol_t           >  ** out_DECOD_HAS_IMMEDIAT             ;
+  sc_signal<Tgeneral_data_t      >  ** out_DECOD_IMMEDIAT                 ;
+  sc_signal<Tcontrol_t           >  ** out_DECOD_READ_RA                  ;
+  sc_signal<Tgeneral_address_t   >  ** out_DECOD_NUM_REG_RA               ;
+  sc_signal<Tcontrol_t           >  ** out_DECOD_READ_RB                  ;
+  sc_signal<Tgeneral_address_t   >  ** out_DECOD_NUM_REG_RB               ;
+  sc_signal<Tcontrol_t           >  ** out_DECOD_READ_RC                  ;
+  sc_signal<Tspecial_address_t   >  ** out_DECOD_NUM_REG_RC               ;
+  sc_signal<Tcontrol_t           >  ** out_DECOD_WRITE_RD                 ;
+  sc_signal<Tgeneral_address_t   >  ** out_DECOD_NUM_REG_RD               ;
+  sc_signal<Tcontrol_t           >  ** out_DECOD_WRITE_RE                 ;
+  sc_signal<Tspecial_address_t   >  ** out_DECOD_NUM_REG_RE               ;
+  sc_signal<Texception_t         >  ** out_DECOD_EXCEPTION_USE            ;
+  sc_signal<Texception_t         >  ** out_DECOD_EXCEPTION                ;
+  sc_signal<Tcontrol_t           >  **  in_BRANCH_COMPLETE_VAL            ;
+  sc_signal<Tcontrol_t           >  ** out_BRANCH_COMPLETE_ACK            ;
+  sc_signal<Tcontext_t           >  **  in_BRANCH_COMPLETE_CONTEXT_ID     ;
+  sc_signal<Tdepth_t             >  **  in_BRANCH_COMPLETE_DEPTH          ;
+  sc_signal<Taddress_t           >  **  in_BRANCH_COMPLETE_ADDRESS        ;
+  sc_signal<Tcontrol_t           >  **  in_BRANCH_COMPLETE_NO_SEQUENCE    ;
+  sc_signal<Tcontrol_t           >  ** out_BRANCH_COMPLETE_MISS_PREDICTION;
+  sc_signal<Tcontrol_t           >   *  in_COMMIT_EVENT_VAL               ;
+  sc_signal<Tcontrol_t           >   * out_COMMIT_EVENT_ACK               ;
+  sc_signal<Tcontext_t           >   *  in_COMMIT_EVENT_CONTEXT_ID        ;
+  sc_signal<Tdepth_t             >   *  in_COMMIT_EVENT_DEPTH             ;
+  sc_signal<Tevent_type_t        >   *  in_COMMIT_EVENT_TYPE              ;
+  sc_signal<Tcontrol_t           >   *  in_COMMIT_EVENT_IS_DELAY_SLOT     ;
+  sc_signal<Taddress_t           >   *  in_COMMIT_EVENT_ADDRESS           ;
+  sc_signal<Tcontrol_t           >   *  in_COMMIT_EVENT_ADDRESS_EPCR_VAL  ;
+  sc_signal<Taddress_t           >   *  in_COMMIT_EVENT_ADDRESS_EPCR      ;
+  sc_signal<Tcontrol_t           >   *  in_COMMIT_EVENT_ADDRESS_EEAR_VAL  ;
+  sc_signal<Tgeneral_data_t      >   *  in_COMMIT_EVENT_ADDRESS_EEAR      ;
+  sc_signal<Tcontrol_t           >  ** out_EVENT_VAL                      ;
+  sc_signal<Tcontrol_t           >  **  in_EVENT_ACK                      ;
+  sc_signal<Taddress_t           >  ** out_EVENT_ADDRESS                  ;
+  sc_signal<Taddress_t           >  ** out_EVENT_ADDRESS_NEXT             ;
+  sc_signal<Tcontrol_t           >  ** out_EVENT_ADDRESS_NEXT_VAL         ;
+  sc_signal<Tcontrol_t           >  ** out_EVENT_IS_DS_TAKE               ;
+  sc_signal<Tcontrol_t           >  ** out_SPR_EVENT_VAL                  ;
+  sc_signal<Tcontrol_t           >  **  in_SPR_EVENT_ACK                  ;
+  sc_signal<Tspr_t               >  ** out_SPR_EVENT_EPCR                 ;
+  sc_signal<Tcontrol_t           >  ** out_SPR_EVENT_EEAR_WEN             ;
+  sc_signal<Tspr_t               >  ** out_SPR_EVENT_EEAR                 ;
+  sc_signal<Tcontrol_t           >  ** out_SPR_EVENT_SR_DSX               ;
+  sc_signal<Tcontrol_t           >  ** out_SPR_EVENT_SR_TO_ESR            ;
+  sc_signal<Tcounter_t           >  **  in_NB_INST_COMMIT_ALL             ;
+  sc_signal<Tcounter_t           >  **  in_NB_INST_COMMIT_MEM             ;
+  sc_signal<Tcounter_t           >  ** out_NB_INST_DECOD_ALL              ;
+  sc_signal<Tdepth_t             >  ** out_DEPTH_MIN                      ;
+  sc_signal<Tdepth_t             >  ** out_DEPTH_MAX                      ;
+  sc_signal<Tcontrol_t           >  ** out_DEPTH_FULL                     ;
+  sc_signal<Tcontrol_t           >  **  in_SPR_SR_IEE                     ;
+  sc_signal<Tcontrol_t           >  **  in_SPR_SR_EPH                     ;
+  sc_signal<Tcontrol_t           >  **  in_INTERRUPT_ENABLE               ;
 
   ALLOC1_SC_SIGNAL(out_ICACHE_REQ_VAL                 ,"out_ICACHE_REQ_VAL                 ",Tcontrol_t           ,_param->_nb_context);
@@ -68,7 +145,5 @@
   ALLOC1_SC_SIGNAL(out_DECOD_NO_EXECUTE               ,"out_DECOD_NO_EXECUTE               ",Tcontrol_t           ,_param->_sum_inst_decod);
   ALLOC1_SC_SIGNAL(out_DECOD_IS_DELAY_SLOT            ,"out_DECOD_IS_DELAY_SLOT            ",Tcontrol_t           ,_param->_sum_inst_decod);
-#ifdef DEBUG
   ALLOC1_SC_SIGNAL(out_DECOD_ADDRESS                  ,"out_DECOD_ADDRESS                  ",Tgeneral_data_t      ,_param->_sum_inst_decod);
-#endif
   ALLOC1_SC_SIGNAL(out_DECOD_ADDRESS_NEXT             ,"out_DECOD_ADDRESS_NEXT             ",Tgeneral_data_t      ,_param->_sum_inst_decod);
   ALLOC1_SC_SIGNAL(out_DECOD_HAS_IMMEDIAT             ,"out_DECOD_HAS_IMMEDIAT             ",Tcontrol_t           ,_param->_sum_inst_decod);
@@ -325,7 +400,5 @@
   DELETE1_SC_SIGNAL(out_DECOD_NO_EXECUTE               ,_param->_sum_inst_decod);
   DELETE1_SC_SIGNAL(out_DECOD_IS_DELAY_SLOT            ,_param->_sum_inst_decod);
-#ifdef DEBUG
   DELETE1_SC_SIGNAL(out_DECOD_ADDRESS                  ,_param->_sum_inst_decod);
-#endif
   DELETE1_SC_SIGNAL(out_DECOD_ADDRESS_NEXT             ,_param->_sum_inst_decod);
   DELETE1_SC_SIGNAL(out_DECOD_HAS_IMMEDIAT             ,_param->_sum_inst_decod);
